Package org.springframework.core.convert.support

# Class ConvertingPropertyEditorAdapter

java.lang.Object
java.beans.PropertyEditorSupport
org.springframework.core.convert.support.ConvertingPropertyEditorAdapter

All Implemented Interfaces:
  `PropertyEditor`

public class ConvertingPropertyEditorAdapter extends PropertyEditorSupport
Adapter that exposes a `PropertyEditor` for any given `ConversionService` and specific target type.

Since:
  3.0
Author:
  Juergen Hoeller

## Constructor Summary

Constructors
Constructor
Description
`ConvertingPropertyEditorAdapter(ConversionService conversionService, TypeDescriptor targetDescriptor)`
Create a new ConvertingPropertyEditorAdapter for a given `ConversionService` and the given target type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAsText()`
`void`
`setAsText(String text)`

### Methods inherited from class java.beans.PropertyEditorSupport

`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, getSource, getTags, getValue, isPaintable, paintValue, removePropertyChangeListener, setSource, setValue, supportsCustomEditor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConvertingPropertyEditorAdapter

public ConvertingPropertyEditorAdapter(ConversionService conversionService, TypeDescriptor targetDescriptor)
Create a new ConvertingPropertyEditorAdapter for a given `ConversionService` and the given target type.

Parameters:
  `conversionService` - the ConversionService to delegate to
  `targetDescriptor` - the target type to convert to

## Method Details

### setAsText

public void setAsText(@Nullable String text) throws IllegalArgumentException

Specified by:
  `setAsText` in interface `PropertyEditor`
Overrides:
  `setAsText` in class `PropertyEditorSupport`
Throws:
  `IllegalArgumentException`

### getAsText

@Nullable public String getAsText()

Specified by:
  `getAsText` in interface `PropertyEditor`
Overrides:
  `getAsText` in class `PropertyEditorSupport`